Bug 918532 - Review Request: four-in-a-row - GNOME Four-in-a-row game
Review Request: four-in-a-row - GNOME Four-in-a-row game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-06 08:20 EST by Yanko Kaneti
Modified: 2013-03-25 09:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-25 09:45:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2013-03-06 08:20:42 EST
Spec URL: http://declera.com/~yaneti/four-in-a-row/four-in-a-row.spec
SRPM URL: http://declera.com/~yaneti/four-in-a-row/four-in-a-row-3.7.90-1.fc19.src.rpm
Description: This is the GNOME game Four-in-a-row, formerly gnect
Fedora Account System Username: yaneti

four-in-a-row.src: W: name-repeated-in-summary C Four-in-a-row
four-in-a-row.x86_64: W: name-repeated-in-summary C Four-in-a-row
four-in-a-row.x86_64: E: incorrect-fsf-address /usr/share/doc/four-in-a-row-3.7.90/COPYING
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.90/src/main.c
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.90/src/gfx.c
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.90/src/games-stock.h
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.90/src/games-fullscreen-action.c
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.90/src/theme.c
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.90/src/games-fullscreen-action.h
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.90/src/games-stock.c
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.90/src/prefs.c
3 packages and 0 specfiles checked; 9 errors, 2 warnings.
Comment 3 Kalev Lember 2013-03-23 08:18:42 EDT
Taking for review.
Comment 4 Kalev Lember 2013-03-23 08:36:51 EDT
Fedora review four-in-a-row-3.7.92-1.fc20.src.rpm 2013-03-23

+ OK
! needs attention

rpmlint output:
$ rpmlint four-in-a-row \
          four-in-a-row-debuginfo-3.7.92-1.fc19.x86_64.rpm \
          four-in-a-row-3.7.92-1.fc19.src.rpm
four-in-a-row.x86_64: W: name-repeated-in-summary C Four-in-a-row
four-in-a-row.x86_64: W: obsolete-not-provided gnome-games-gnect
four-in-a-row.x86_64: E: incorrect-fsf-address /usr/share/doc/four-in-a-row-3.7.92/COPYING
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.92/src/main.c
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.92/src/games-stock.h
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.92/src/games-stock.c
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.92/src/gfx.c
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.92/src/games-fullscreen-action.c
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.92/src/games-fullscreen-action.h
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.92/src/prefs.c
four-in-a-row-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/four-in-a-row-3.7.92/src/theme.c
four-in-a-row.src: W: name-repeated-in-summary C Four-in-a-row
3 packages and 0 specfiles checked; 9 errors, 3 warnings.

+ Rpmlint warnings / errors are harmless and can be ignored
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  7b744b8abf9a8f0a824302a79f3c8b1f  four-in-a-row-3.7.92.tar.xz
  7b744b8abf9a8f0a824302a79f3c8b1f  Download/four-in-a-row-3.7.92.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8


Issues
------
> # Contacted the translator. Should be fixed upstream at some point
> Patch1:         ug-po.patch

Please submit it to bugzilla.gnome.org as well.

Also, two really minor nitpicks; feel free to change these before importing, if you think it makes sense:
 a) might be nice to sort the BRs and the %files list, and
 b) the --all-name option to the %find_lang macro is unnecessary here; all the
docs / translations are installed under the 'four-in-a-row' name.

APPROVED
Comment 5 Yanko Kaneti 2013-03-23 08:56:38 EDT
Filed https://bugzilla.gnome.org/show_bug.cgi?id=696456 about the transalation.

Thanks.

New Package SCM Request
=======================
Package Name: four-in-a-row
Short Description: GNOME Four-in-a-row game
Owners: yaneti
Branches: f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-03-23 10:45:59 EDT
CLearing flag.
Comment 7 Yanko Kaneti 2013-03-23 16:33:52 EDT
The flag is cleared but there is still no repository. Lets try again.

New Package SCM Request
=======================
Package Name: four-in-a-row
Short Description: GNOME Four-in-a-row game
Owners: yaneti
Branches: f19
InitialCC:
Comment 8 Gwyn Ciesla 2013-03-25 08:41:23 EDT
Clearing flag.
Comment 9 Yanko Kaneti 2013-03-25 09:45:26 EDT
Built in rawhide and f19

Thanks everyone.

Note You need to log in before you can comment on or make changes to this bug.